v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/locally-sourced-kits
Creates local source settings for kit types.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : LocalSourceSettingRequest v1.0
Type:
objectTitle:
LocalSourceSettingRequest v1.0Request containing local source settings.
Show Source
-
kitTypeSrcId(required): string
(uuid)
Title:
Kit Type Source IDKit type source identifier. -
locallySourcedCountries: array
Locally Sourced Countries
Title:
Locally Sourced CountriesList of country IDs where kits are locally sourced. -
sourcedBySiteCountries: array
Sourced By Site Countries
Title:
Sourced By Site CountriesList of country IDs where kits are sourced by site.
Nested Schema : Locally Sourced Countries
Type:
arrayTitle:
Locally Sourced CountriesList of country IDs where kits are locally sourced.
Show Source
-
Array of:
string(uuid)
Title:
Locally Sourced CountriesList of country IDs where kits are locally sourced.
Example:
[
"B1C2D3E4F5064789A0B1C2D3E4F50647"
]Nested Schema : Sourced By Site Countries
Type:
arrayTitle:
Sourced By Site CountriesList of country IDs where kits are sourced by site.
Show Source
-
Array of:
string(uuid)
Title:
Sourced By Site CountriesList of country IDs where kits are sourced by site.
Example:
[
"9ABCDEF01234567890123456789ABCDE"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : LocalSourceSettingsResponse
Type:
objectTitle:
LocalSourceSettingsResponseContains Local Source Settings detail response.
Show Source
Nested Schema : locallySourcedCountries
Type:
Show Source
array-
Array of:
object LocalSourceSettingsTo
Title:
LocalSourceSettingsToContains locally sourced kit settings.
Example:
[
{
"localSourceId":"C36A3197FDEE433FB5547EE83DE99E4B",
"versionStart":"2026-01-10T09:15:00Z",
"versionEnd":"2026-12-31T23:59:59Z",
"operationType":"CREATE",
"objectVersionNumber":1,
"userId":"6A1B2C3D4E5F67890123456789ABCDEF",
"reason":"Initial enablement.",
"comment":"Locally sourced kits enabled for the country.",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
"countryId":"B1C2D3E4F5064789A0B1C2D3E4F50647",
"enabled":true
}
]Nested Schema : sourcedBySiteCountries
Type:
Show Source
array-
Array of:
object LocalSourceSettingsTo
Title:
LocalSourceSettingsToContains locally sourced kit settings.
Example:
[
{
"localSourceId":"E0F1A2B3C4D567890123456789ABCDEF",
"versionStart":"2026-01-10T09:15:00Z",
"versionEnd":"2026-12-31T23:59:59Z",
"operationType":"CREATE",
"objectVersionNumber":1,
"userId":"6A1B2C3D4E5F67890123456789ABCDEF",
"reason":"Initial enablement.",
"comment":"Sourced-by-site enabled for the country.",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
"countryId":"9ABCDEF01234567890123456789ABCDE",
"enabled":true
}
]Nested Schema : LocalSourceSettingsTo
Type:
objectTitle:
LocalSourceSettingsToContains locally sourced kit settings.
Show Source
-
comment: string
Title:
CommentComment.Example:Additional details. -
countryId: string
(uuid)
Title:
Country IDCountry identifier.Example:12345678-90ab-cdef-1234-567890abcdef -
enabled: boolean
Title:
EnabledIndicates whether dose hold is enabled.Example:true -
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID.Example:99999999-8888-7777-6666-555555555555 -
localSourceId: string
(uuid)
Title:
Local Source IDLocal source identifier.Example:aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee -
objectVersionNumber: number
Title:
Object Version NumberObject version number.Example:1 -
operationType: string
Title:
Operation TypeOperation type.Example:CREATE -
reason: string
Title:
ReasonReason.Example:Business justification. -
userId: string
(uuid)
Title:
User IDUser ID.Example:11111111-2222-3333-4444-555555555555 -
versionEnd: string
(date-time)
Title:
Version EndVersion end date.Example:2025-12-31T23:59:59Z -
versionStart: string
(date-time)
Title:
Version StartVersion start date.Example:2025-01-01T00:00:00Z
Example:
[
{
"localSourceId":"E0F1A2B3C4D567890123456789ABCDEF",
"versionStart":"2026-01-10T09:15:00Z",
"versionEnd":"2026-12-31T23:59:59Z",
"operationType":"CREATE",
"objectVersionNumber":1,
"userId":"6A1B2C3D4E5F67890123456789ABCDEF",
"reason":"Initial enablement.",
"comment":"Sourced-by-site enabled for the country.",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
"countryId":"9ABCDEF01234567890123456789ABCDE",
"enabled":true
}
]Examples
400 Response
LocalSourceSettings Request is not valid
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
For Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples